List all custom roles within pagination
List all custom roles within an app
GET
/api/v1/{team_slug}/{app_slug}/custom-roles- API
- Management
- OpenAPI
- management-api
- Updated
- Apr 26, 2026
management-api:GET:/api/v1/{team_slug}/{app_slug}/custom-roles
List all custom roles within an app
API ownership
- API family: Management API
- Best for: Trusted back-office workflows that create, update, organize, or delete merchant-owned data.
- Do not use from: Browser-only storefront code or public clients.
- Guide route: /apis/management/latest
The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation.
Operation
- Method:
GET - Path:
/api/v1/\{team_slug\}/\{app_slug\}/custom-roles - Summary: List all custom roles within pagination
- Description: List all custom roles within an app
- OpenAPI contract: management-api
- Operation ID: Not documented in the OpenAPI contract.
Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID.
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| app_slug | path | Yes | string | App slug |
| team_slug | path | Yes | string | Team slug |
| search | query | No | string | Search by name |
| sort-order | query | No | string | Sort order. Should be one of ASC or DESC. Default DESC |
| sort-key | query | No | string | The key to sort on. Can be one of created_at, updated_at, and name (Default is created_at) |
| page | query | No | integer | Page number (default is 1) |
| per-page | query | No | integer | Amount of custom roles per page. Minimum 0 and max 100 (default is 20) |
Request body
Not documented in the OpenAPI contract.
Responses
| Status | Description | Content |
|---|---|---|
| 200 | List of app custom roles | application/json (object) |
| 401 | Unauthorized access | application/json (object) |
| 500 | Internal server error | application/json (object) |
200 - object
Custom Role List
| Property | Type | Required | Details |
|---|---|---|---|
data | object[] | No | - |
success | boolean | No | - |
total | integer | No | - |
total_pages | integer | No | - |
Custom Role
| Property | Type | Required | Details |
|---|---|---|---|
app_id | string | No | - |
created_at | string | No | - |
id | string | No | - |
is_default | boolean | No | - |
name | string | No | - |
slug | string | No | - |
updated_at | string | No | - |
Generated example (synthetic):
{
"data": [
{
"app_id": "string",
"created_at": "string",
"id": "string",
"is_default": false,
"name": "string",
"slug": "string",
"updated_at": "string"
}
],
"success": false,
"total": 0,
"total_pages": 0
}401 - object
Error Message
| Property | Type | Required | Details |
|---|---|---|---|
details | string[] | No | - |
message | string | No | - |
success | boolean | No | - |
Generated example (synthetic):
{
"details": [
"string"
],
"message": "string",
"success": false
}500 - object
Error Message
| Property | Type | Required | Details |
|---|---|---|---|
details | string[] | No | - |
message | string | No | - |
success | boolean | No | - |
Generated example (synthetic):
{
"details": [
"string"
],
"message": "string",
"success": false
}Contract identity
Use these fields to confirm you are implementing the intended endpoint contract.
- API family: Management API
- Method:
GET - Path:
/api/v1/\{team_slug\}/\{app_slug\}/custom-roles - Operation ID: Not documented in the OpenAPI contract.
- OpenAPI tag: CustomRoles
- OpenAPI summary: List all custom roles within pagination